Getting error Cannot find module './_baseClone'


#1

Hi I am getting this exception while trying to start the server in my example app for to-dos

Started MongoDB.
Errors prevented startup:

While loading plugin compile-ecmascript from package ecmascript:
module.js:338:15: Cannot find module './_baseClone’
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object. (D:\Users\rtyagi\AppData\Local.meteor\packages\ecmascript\0.4.4\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\node_modules\lodash\clone.js:1:17)
at Module._compile (module.js:456:26)
at Object.Module._extensions…js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load (D:\Users\rtyagi\AppData\Local.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object. (D:\Users\rtyagi\AppData\Local.meteor\packages\ecmascript\0.4.4\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-types\lib\index.js:314:38)
at Module._compile (module.js:456:26)
at Object.Module._extensions…js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load (D:\Users\rtyagi\AppData\Local.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object. (D:\Users\rtyagi\AppData\Local.meteor\packages\ecmascript\0.4.4\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\node_modules\babel-template\lib\index.js:84:43)
at Module._compile (module.js:456:26)
at Object.Module._extensions…js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load (D:\Users\rtyagi\AppData\Local.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object. (D:\Users\rtyagi\AppData\Local.meteor\packages\ecmascript\0.4.4\plugin.compile-ecmascript.os\npm\node_modules\meteor\babel-compiler\node_modules\babel-plugin-transform-es2015-modules-commonjs\lib\index.js:525:46)
at Module._compile (module.js:456:26)
at Object.Module._extensions…js (module.js:474:10)
at Module.load (module.js:356:32)
at Module.Mp.load (D:\Users\rtyagi\AppData\Local.meteor\packages\meteor-tool\1.3.3\mt-os.windows.x86_32\dev_bundle\lib\node_modules\reify\node\runtime.js:16:23)
at Function.Module.load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.
.extend.Npm.require (D:\tools\isobuild\bundler.js:1570:22)
at Object.require (D:\tools\isobuild\bundler.js:1547:11)
at Package (packages/babel-compiler/babel-compiler.js:17:1)
at packages/babel-compiler/babel-compiler.js:356:1
at packages/babel-compiler/babel-compiler.js:356:1


Unable create a sample project in meteor
#2

I had the same issue. Not sure why. But I changed my version back from 1.3.3 to 1.3.2.4 by editing the ‘versions’ file inside the ‘.meteor’ folder. That version works fine.


#3

Hello,
I have the same errors on my current project, since updating meteor to 1.3.3.
For some reason 1.3.2.4 won’t download so mattyzee fix don’t work for me.

I would be glad if anyone had an answer for this one.

edit : I’m on windows and it seems that lodash package in node_modules are not properly installed after meteor install.


#4

I got the same problem. I just installed Meteor on my Windows machine and am totally stuck even before having started…


#5

Same here,… Stuck before the project started… I think move to Linux!!!


#6

Same problem, I glad to see I’m not alone…


#7

FYI, this has been reported on as meteor issue #7221. It appears to be a Windows specific problem and happens with the most basic apps. I’d bet they are fast at work on 1.3.3.1.


#8

There’s a fix for this windows problem in Meteor version 1.3.3.1.

After I installed this update I ran into a new error when starting meteor on my newly created Meteor project:

Started MongoDB.

Errors prevented startup:

While processing files with ecmascript (for target web.browser):
module.js:338:15: Cannot find module 'babel-helper-function-name’
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)

Can anyone help me out with this?